API ReferenceConsumer Suite
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X patch "https://api.timbrify.com/api/v1/consumer/fiscal-profiles/string" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"consumerId": "9e675a24-20d6-4913-9836-f861cd23e89e",
"rfc": "string",
"razonSocial": "string",
"regimenFiscal": "string",
"codigoPostal": "string",
"usoCFDI": "string",
"isDefault": true,
"email": "string",
"taxResidence": "string",
"taxRegistrationNumber": "string",
"createdAt": "string",
"updatedAt": "string"
}
}{
"error": "string",
"message": "string",
"details": null
}{
"error": "string",
"message": "string",
"details": null
}{
"error": "NOT_FOUND",
"message": "string"
}